Seda

Seda - Service-Technology.org Editor Application

Seda is the Service-Technology.org Editor Application based on Eclipse. It provides text editors and diagram editors to build and simulate models that can be used in our Tool Chains.

Get Seda

We provide Seda as a stand-alone application, however you can install Seda's functionality also as Eclipse packages to your own local copy of Eclipse.

Seda as a stand-alone application (preferred)

We provide a binary distribution (x86) of Seda based on the Eclipse Rich Client platform as a single download for

Simply download the .zip for your platform, unpack the file, and run ./seda/seda (maybe you also have to set it to executable) to start. You will be asked for the location of the workspace where you want to store your files. The binary just requires a Java Run-time Environment, version 6.0 or later to be installed on your system.

Seda as Eclipse plugin

  1. Open Help > Install New Software…,
  2. Select our update site http://download.gna.org/service-tech/seda/updates/ (or add it to the available sites using the Add… button)
  3. Pick from the available features as you like, to install all features, select
    • Seda Application > Petri net editors
    • Seda Application > Seda Extensions Bundle
  4. Click Next (make sure to enable 'Contact all update sites during install to find required software' so all packages Greta depends on are installed as well), review the selected features, accepted the license agreement(s), click Finish and Restart the program when asked for by the installer. Check our Requirements if you face problems installing Seda.

Updating Seda

To update Seda to a new version (the binary release or any of the separate packages), run Help > Check for Updates in Seda/in Eclipse.

License

Seda is released as free software under an EPL/GPL/LPGL licensing scheme, and can be used under the terms of

The latest source code is available at our SVN repository.

Use Seda

Quick introduction

To get started, create a new Standard project, e.g. project-S, and add a new File (standard, plain-text file), with file extension .lola, e.g. net1.lola. Open net1.lola and enter the following contents:

{ A simple unbounded Petri net }
PLACE    p1, p2, p3, p4;

MARKING  p1: 1;    { initially marked place }

TRANSITION t1 
  CONSUME  p1: 1;  { consume 1 token from p1 }
  PRODUCE  p2: 2;  { produce 1 token on p2 }

TRANSITION t2
  CONSUME  p2: 1;
  PRODUCE  p3: 1;

TRANSITION t3
  CONSUME  p2: 1;
  PRODUCE  p4: 1;

TRANSITION t4
  CONSUME  p4: 1;
  PRODUCE  p1: 1;

Save. You should see no error marker.

With this file in the editor being opened, select Petri Nets > Convert To Diagram from the menu bar. This will automatically create two files, a model file project-S/net1.ptnetlola and a diagram file project-S/net1.ptnetlola_diagram; the latter will be opened automatically. You see a graphical representation of the net.

You can edit and extend the net as you like. If you save the net, the model is stored in project-S/net1.ptnetlola.

Opening the model file will give you a text-representation of the model in the LoLA syntax, observe that the comment are gone and that the text has been pretty-printed differently. The original file net1.lola is untouched. Editing project-S/net1.ptnetlola will automatically update the diagram and vice versa.

To export the diagram or the model to a plain text file, choose Export … > Petri nets > Export Petri net to File.

Notes

Seda is in its early stages of development and while Seda contains the key features for creating service models, it currently lacks a number of convenience features which we try to add as soon as possible.

Requirements

Seda is implemented as an Eclipse feature consisting of several Eclipse plugins. If you install Seda as an Eclipse plugin on your own Eclipse installation, we require a number of software components and plugins to be available (namely EMF, GEF, GMF). If you install Seda in Eclipse version 4.2 or later (http://www.eclipse.org/downloads/), missing components will be installed automatically through the Eclipse installer. Seda requires Java Run-time Environment, version 6.0 or later (http://www.java.com/download/).